declare @cpName nvarchar(max), @cpType nvarchar(max), @qry nvarchar(max)
set @cpName = 'Canonical Name'
set @cpType = 'Organizational Unit'
set @qry = 'DECLARE @UserSupplied NVARCHAR(255) ' +
           'SELECT DISTINCT OU.CanonicalName ' +
		   '  FROM dbo.tblDomainOU OU(nolock)' +
		   ' WHERE ISNULL(OU.LDM_TOMBSTONED,0) = 0 ' +
		   '   AND OU.CanonicalName like @UserSupplied ' +
		' ORDER BY OU.CanonicalName '


if exists(select 1
            from dbo.tblCustomQueryParameters CP(nolock)
		   where CP.Type = @cpType
		     and CP.Field = @cpName)
  update dbo.tblCustomQueryParameters set Query = @qry where Type = @cpType and Field = @cpName
else
  insert into dbo.tblCustomQueryParameters(Type, Field, Query) values (@cpType, @cpName, @qry)

set @cpName = 'Hotfix Name'
set @cpType = 'Computer Hotfix'
set @qry = 'declare @UserSupplied NVARCHAR(255) ' +
           'select distinct HF.HotfixName ' +
           '  from dbo.tblComputerHotfix HF(nolock) ' +
           ' where isnull(HF.LDM_TOMBSTONED,0) = 0 ' +
           'order by HF.HotfixName'
    
if exists(select 1
            from dbo.tblCustomQueryParameters CP(nolock)
		   where CP.Type = @cpType
		     and CP.Field = @cpName)
  update dbo.tblCustomQueryParameters set Query = @qry where Type = @cpType and Field = @cpName
else
  insert into dbo.tblCustomQueryParameters(Type, Field, Query) values (@cpType, @cpName, @qry)
